- Home
- API Enriched
- Shape
- shape
- GetTopRiskyReasons.
GetTopRiskyReasons.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/safeap/namespaces/system/safeap/dashboard/gettopriskyreasons';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"app_key":"example","end_time":"example","start_time":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/safeap/namespaces/system/safeap/dashboard/gettopriskyreasons \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "app_key": "example", "end_time": "example", "start_time": "example" }'GET top risky reasons data request for a time range.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Any payload to be passed on the GET Top 5 Risky Reasons Request API GetTopRiskyReasonsRequest
payload to GET top 5 risky reasons in a given time range.
object
CubeJS AppKey.
End_time
Start_time.
Examplegenerated
{ "app_key": "example", "end_time": "example", "start_time": "example"}Responses
Section titled “Responses”A successful response.
GET Top 5 Risky Reasons data from CubeJS.
object
Response from cubejs.
Examplegenerated
{ "response": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example